Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoCubeDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoCubeDetail.h>`

Inheritance diagram for SoCubeDetail:

List of all members.

## Detailed Description

The SoCubeDetail class contains information about the parts of a SoCube shape.

Instances of this class are used for storing information about hit points on cone geometry after pick operations, and for storing information returned to tessellation callbacks.

The part indices are ordered from 0 to 5 as [ front, back, left, right, top, bottom ].

See also:
  SoCube, SoRayPickAction, SoCallbackAction

## Public Member Functions
| SoCubeDetail (void)
virtual | ~SoCubeDetail ()
virtual SoDetail * | copy (void) const
void | setPart (const int part)
int | getPart (void) const
## Static Public Member Functions
void | initClass (void)
## Protected Attributes
int | part

## Constructor & Destructor Documentation

SoCubeDetail::SoCubeDetail | ( | void |  | ) |

| Constructor.

SoCubeDetail::~SoCubeDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoCubeDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoCubeDetail::copy | ( | void |  | ) | const`[virtual]`

| Return a deep copy of ourself. Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes. Implements SoDetail.

void SoCubeDetail::setPart | ( | const int | part | ) |

| Set the part of a cube which was selected. A cube has of course six different conceptual parts -- it's sides.

int SoCubeDetail::getPart | ( | void |  | ) | const

| Returns selected cube part.

## Member Data Documentation

int SoCubeDetail::part`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoCubeDetail.h
- SoCubeDetail.cpp